Bug 32690 - REGRESSION (r47255): Extra Large Amount of Empty Space
Summary: REGRESSION (r47255): Extra Large Amount of Empty Space
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P1 Normal
Assignee: Nobody
URL: http://www.redmine.org/issues/4239
Keywords: InRadar, NeedsReduction
Depends on:
Blocks:
 
Reported: 2009-12-17 18:11 PST by Josh
Modified: 2009-12-26 17:29 PST (History)
2 users (show)

See Also:


Attachments
Web Archive of affected page (323.31 KB, application/x-webarchive)
2009-12-17 18:12 PST, Josh
no flags Details
Screenshot - Good Case - Safari 4 (235.00 KB, image/png)
2009-12-17 18:13 PST, Josh
no flags Details
Screenshot - Bad Case - Webkit Daily Build (217.66 KB, image/png)
2009-12-17 18:13 PST, Josh
no flags Details
Only clear floats as necessary to fit the child on the line (20.51 KB, patch)
2009-12-26 11:48 PST, mitz
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Josh 2009-12-17 18:11:47 PST
This issue originally reported here on the Redmine project:
http://www.redmine.org/issues/4239

This is a REGRESSION, as the page renders properly in previous versions of Webkit.

Good: 531.21.8 Safari 4.0.4 (6531.21.10)

Bad: 532.7+ Webkit 4.0.4 (6531.21.10, r52242) (17 December 2009)
Bad: 532.7 Chromium 4.0.270.0 (34467)

I've attached a web archive example of the problem, and screenshots of Safari 4 and Webkit Daily.
Comment 1 Josh 2009-12-17 18:12:21 PST
Created attachment 45114 [details]
Web Archive of affected page
Comment 2 Josh 2009-12-17 18:13:02 PST
Created attachment 45115 [details]
Screenshot - Good Case - Safari 4
Comment 3 Josh 2009-12-17 18:13:35 PST
Created attachment 45116 [details]
Screenshot - Bad Case - Webkit Daily Build
Comment 4 Mark Rowe (bdash) 2009-12-17 21:16:11 PST
<rdar://problem/7483622>
Comment 5 mitz 2009-12-24 14:05:31 PST
This is similar to bug 32382, and I think the solution is to refine the fix for that bug and instead of using the float*Bottom() functions, find the bottom of the lowest float that limits the available space on the line.
Comment 6 mitz 2009-12-26 11:48:38 PST
Created attachment 45514 [details]
Only clear floats as necessary to fit the child on the line
Comment 7 WebKit Review Bot 2009-12-26 11:53:29 PST
style-queue ran check-webkit-style on attachment 45514 [details] without any errors.
Comment 8 Sam Weinig 2009-12-26 17:25:46 PST
Comment on attachment 45514 [details]
Only clear floats as necessary to fit the child on the line

r=me
Comment 9 mitz 2009-12-26 17:29:19 PST
Fixed in <http://trac.webkit.org/projects/webkit/changeset/52566>.